package data_manage

import "github.com/beego/beego/v2/client/orm"

type CygxReportMapping struct {
	ChartPermissionId int `description:"表chart_permission中id"`
	CategoryId        int `description:"权益文章对应分类,cygx_article"`
}

func CygxReportMappingist() (items []*CygxReportMapping, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	sql := `SELECT chart_permission_id, category_id FROM cygx_report_mapping `
	_, err = o.Raw(sql).QueryRows(&items)
	return
}
